#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, l;
    cin >> n >> l;
    int a[n];
    int indeks = -1;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        if(l > a[i] || l == a[i]){
            indeks = i + 1;
            break;
        }
    }
    cout << indeks;
    return 0;
}